Bug 185164 - kernel panic 2.6.15-1.2032_FC5
kernel panic 2.6.15-1.2032_FC5
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-10 19:19 EST by Dax Kelson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 17:07:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel panic 2.6.15-1.2032_FC5 (3.73 KB, text/plain)
2006-03-10 19:19 EST, Dax Kelson
no flags Details

  None (edit)
Description Dax Kelson 2006-03-10 19:19:38 EST
Description of problem:

AMDFX-55
2GB ram (memtest86+ verified OK)
Nforce4 motherboard

I got a kernel panic during install of rawhide March 9th 2006, I did another
install that went OK. I setup netconsole/netdump and then ran the "stress"
program to put memory, cpu, and I/O load on the box. After several hours this
showed up:

slab: Internal list corruption detected in cache 'journal_head'(59), slabp
f0fb7000(2097211). Hexdump:
Mar 10 15:31:08 dhcp58.dkwired.gurulabs.com
000: 00 01 10 00 00 02 20 00 08 01 00 00 08 71 fb f0
010: 3b 00 20 00 ff ff ff ff 00 00 71 53 fe ff ff ff
020: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
030: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
040: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
050: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
060: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
070: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
080: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
090: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
0a0: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
0b0: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
0c0: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
0d0: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
0e0: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
0f0: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff
100: fe ff ff ff fe ff ff ff
------------[ cut here ]------------
kernel BUG at mm/slab.c:2598!
invalid opcode: 0000 [#1]
last sysfs file: /devices/system/cpu/cpu0/cpufreq/scaling_setspeed
Modules linked in: netconsole netdump ipv6 ppdev autofs4 hidp rfcomm l2cap
bluetooth sunrpc ip_conntrack_netbios_ns ipt_REJECT xt_state ip_conntrack
nfnetlink xt_tcpudp iptable_filter ip_tables x_tables video button battery ac lp
parport_pc parport floppy nvram ohci1394 sg ieee1394 ohci_hcd ehci_hcd skge
forcedeth snd_intel8x0 snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm
snd_timer snd soundcore snd_page_alloc i2c_nforce2 i2c_core dm_snapshot dm_zero
dm_mirror dm_mod ext3 jbd sata_nv libata sd_mod scsi_mod
CPU:    0
EIP:    0060:[<c01505c7>]    Not tainted VLI
EFLAGS: 00010082   (2.6.15-1.2032_FC5 #1)
EIP is at check_slabp+0x81/0x8e
eax: 00000001   ebx: 00000108   ecx: e9053b7c   edx: c032284e
esi: f0fb7000   edi: f7c713c0   ebp: f0a79104   esp: e9053b78
ds: 007b   es: 007b   ss: 0068
Process stress (pid: 7585, threadinfo=e9053000 task=ef3c9000)
Stack: <0>c032284e f0fb7000 f7df61a8 f7c713c0 c0151312 0000003a 00000010 f7df57cc
       00000006 f0fb7188 00000010 00000000 f7df57ac f7df57ac c0151477 00000000
       f7c713c0 f7df61d4 f7df61a8 d9457448 f7c713c0 f7df57ac 00000202 c0151588
Call Trace:
 [<c0151312>] free_block+0x83/0x163     [<c0151477>] cache_flusharray+0x85/0xde
 [<c0151588>] kmem_cache_free+0x3f/0x4f     [<f8878ae8>]
journal_put_journal_head+0x64/0x83 [jbd]
 [<f8875ee0>] journal_try_to_free_buffers+0xf9/0x138 [jbd]     [<f88a9cd6>]
ext3_releasepage+0x0/0x67 [ext3]
 [<c0155a04>] try_to_release_page+0x34/0x46     [<c0141893>] shrink_zone+0x926/0xcab
 [<c017acee>] mb_cache_shrink_fn+0x46/0xbb     [<c013f317>]
background_writeout+0x0/0x8e
 [<c013fa30>] pdflush_operation+0x3a/0x8a     [<c0142248>]
try_to_free_pages+0x10d/0x1d9
 [<c013e8ef>] __alloc_pages+0x17b/0x26c     [<c013b6cb>]
generic_file_buffered_write+0x194/0x585
 [<c013be44>] __generic_file_aio_write_nolock+0x388/0x3d5     [<c013c283>]
generic_file_aio_write+0x46/0xad
 [<c012d62c>] debug_mutex_add_waiter+0x14/0x24     [<c013c283>]
generic_file_aio_write+0x46/0xad
 [<c02dec70>] __mutex_lock_slowpath+0x2c2/0x3a8     [<c013c297>]
generic_file_aio_write+0x5a/0xad
 [<f88a6b7d>] ext3_file_write+0x19/0x83 [ext3]     [<c0154388>]
do_sync_write+0xb8/0xf3
 [<c012a1c3>] autoremove_wake_function+0x0/0x2d     [<c01542d0>]
do_sync_write+0x0/0xf3
 [<c0154c0b>] vfs_write+0xa1/0x140     [<c0155113>] sys_write+0x3c/0x63
 [<c0102bc1>] syscall_call+0x7/0xb    <0>Code: 5a 0f b6 04 33 50 68 bd ac 30 c0
e8 05 a8 fc ff 43 5a 59 8b 47 1c 8d 04 85 1c 00 00 00 39 c3 72 ce 68 4e 28 32 c0
e8 ea a7 fc ff <0f> 0b 26 0a cb f9 2f c0 58 5b 5e 5f c3 56 53 89 c6 8d 98 00 00
Comment 1 Dax Kelson 2006-03-10 19:19:38 EST
Created attachment 125968 [details]
kernel panic 2.6.15-1.2032_FC5
Comment 2 Dax Kelson 2006-03-13 17:05:54 EST
This is probably the Maxtor SATA II and Nvidia nforce4 incompatibility problem.

Note You need to log in before you can comment on or make changes to this bug.